| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Static Public Member Functions | List of all members
CaptureFileDialog Class Reference
Inheritance diagram for CaptureFileDialog:

## Public Slots
void | accept () Q_DECL_OVERRIDE
int | exec () Q_DECL_OVERRIDE
int | open (QString &file_name, unsigned int &type, QString &display_filter)
check_savability_t | saveAs (QString &file_name, bool must_support_comments)
check_savability_t | exportSelectedPackets (QString &file_name, packet_range_t *range, QString selRange=QString())
int | merge (QString &file_name, QString &display_filter)

## Public Member Functions
| CaptureFileDialog (QWidget *parent=NULL, capture_file *cf=NULL)
int | mergeType ()
int | selectedFileType ()
ws_compression_type | compressionType ()
Public Member Functions inherited from WiresharkFileDialog
| WiresharkFileDialog (QWidget *parent=nullptr, const QString &caption=QString(), const QString &directory=QString(), const QString &filter=QString())
QString | selectedNativePath () const

## Static Public Member Functions
static check_savability_t | checkSaveAsWithComments (QWidget *, capture_file *cf, int file_type)
Static Public Member Functions inherited from WiresharkFileDialog
static QString | getExistingDirectory (QWidget *parent=Q_NULLPTR, const QString &caption=QString(), const QString &dir=QString(), Options options=ShowDirsOnly)
static QString | getOpenFileName (QWidget *parent=Q_NULLPTR, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=Q_NULLPTR, Options options=Options())
static QString | getSaveFileName (QWidget *parent=Q_NULLPTR, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=Q_NULLPTR, Options options=Options())

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/capture_file_dialog.h
- /builds/wireshark/wireshark/ui/qt/capture_file_dialog.cpp